﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace xamDataChartAddDataPoints
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
      
            var Trades = new ObservableCollection<LiveViewDataPoint>();

            Trades.Add(new LiveViewDataPoint() { Date =  2, Price = 3.68 });
            Trades.Add(new LiveViewDataPoint() { Date = 1, Price = -2.68 });
            Trades.Add(new LiveViewDataPoint() { Date = -3, Price = 1.56});
            Trades.Add(new LiveViewDataPoint() { Date = -1, Price = 1.68 });

            this.xamChart1.DataContext = Trades;            
        }
    }

    public class LiveViewDataPoint
    {
        public int Date { get; set; }
        public double Price { get; set; }
    }

    public class ColorConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if ((double)value == 0)
            {
                return 1;
            }
            return .2;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
